Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.TreeExpansionHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicTreeUI.TreeExpansionHandler

All Implemented Interfaces:
  EventListener, TreeExpansionListener

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.TreeExpansionHandler

extends Object
implements TreeExpansionListener

Updates the TreeState in response to nodes expanding/collapsing.

Constructor Summary
`BasicTreeUI.TreeExpansionHandler()`

Method Summary
`void` | `treeCollapsed(TreeExpansionEvent event)` Called whenever an item in the tree has been collapsed.
`void` | `treeExpanded(TreeExpansionEvent event)` Called whenever an item in the tree has been expanded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.TreeExpansionHandler

    public BasicTreeUI.TreeExpansionHandler()

Method Detail

### treeExpanded

    public void treeExpanded(TreeExpansionEvent event)

  Called whenever an item in the tree has been expanded.

  Specified by:
    `treeExpanded` in interface `TreeExpansionListener`

### treeCollapsed

    public void treeCollapsed(TreeExpansionEvent event)

  Called whenever an item in the tree has been collapsed.

  Specified by:
    `treeCollapsed` in interface `TreeExpansionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.